## budgie-desktop 10.5~git20190218

=== debian/changelog ===
budgie-desktop (10.5~git20190218-1) unstable; urgency=medium

  * Bug-fix git and Translation release
    - archive built from commit f62524110961cbbaf6e9
    - Ensure polkit dialog cancel correctly dismisses rather
      than hanging, with patch
      0001-Polkit-Correctly-handle-the-user-dismissing-the-auth.patch
    - refresh gnome-3.30-compatability.patch to build
      against upstream tarball

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 18 Feb 2019 12:58:45 +0000

budgie-desktop (10.5~git20190202-1) unstable; urgency=medium

  * New upstream git release
    - Version bump to reflect upstream budgie-desktop version change
      pending upstream git version tag
    - archive built from commit 73df80757c8b1781dc23
  * Packaging Changes
    - update libraven0 symbols for this release
    - Copyright: Revised copyright for translations
    - Control: Update to build-depends to include libnotify-dev
    - Rules: Remove obsolete translation install removal
      add optimization build LD_FLAG

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 02 Feb 2019 21:28:58 +0000

budgie-desktop (10.4+git20190110.01.1f8eceaa58e-1) unstable; urgency=medium

  * New upstream git release
    - Release combines the git master release + gnome-3.30 patch work
    - Resolve wishlist to open addition terminal windows (Closes: #897570)
  * Bug fixes
    - Resolve typo in panel translation (Closes: #880719)
    - Add package lightdm suggestion to advise netinst installation
      (Closes: #897601)
    - Ensure budgie-core installs gnome-settings-daemon so that minimal
      installs do not crash due to missing GNOME schemas (LP: #1688607)
  * Packaging Changes
    - control add new BD libasound2-dev
    - copyright update copyright for new release together with year change
    - control Bump StandardsVersion - fixed symbols Build-Depends-Package
    - Drop the following patches since they have been merged upstream
      0006-Install-missing-notification-icon-1545.patch
      0008-Add-copyright-for-notification-disabled-symbolic.svg.patch
    - Drop 0007-Check-if-schema-is-defined-for-volume-slider-changes.patch
      since this as not been accepted by upstream
    - Merge remaining patches into one gnome-3.30-compatibility.patch
      except for the following that has been kept local
      1000-Obtain-gsettings-transparency-key-value-before-showi.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 10 Jan 2019 15:45:51 +0000

budgie-desktop (10.4+git20180830.02.f2dbc215fdb-3) unstable; urgency=medium

  * Packaging Change
    - simplify rules to ensure Debian and Ubuntu build without
      desktop-icon support

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 24 Dec 2018 12:06:53 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export MAKE = ninja -v
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf debian/build
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)

	@if [ -e ./debian/ubuntu/applied ]; then \
		patch -R -p1 < debian/ubuntu/show_nm-applet_in_tray.patch ; \
		rm ./debian/ubuntu/applied ; \
	fi
endif

override_dh_auto_configure:
	mkdir -p debian/build
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	patch -p1 < debian/ubuntu/show_nm-applet_in_tray.patch
	touch ./debian/ubuntu/applied
endif
	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro -O2" meson -Dwith-desktop-icons=none --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..

override_dh_auto_build:
	cd debian/build && $(MAKE)

override_dh_auto_install:
	dh_auto_install
	cd debian/build && DESTDIR=$(CURDIR)/debian/tmp $(MAKE) install
	mkdir -p "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/Budgie-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"

override_dh_installgsettings:
	# install override but budgie has to take precedence over
	# gnome-shell defaults
	dh_installgsettings --priority=15

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog-announcement.txt

## budgie-desktop 10.5

=== debian/changelog ===
budgie-desktop (10.5-1) unstable; urgency=medium

  * Official upstream release
    - upstream release announcement in install changelogs
  * Diff from previous git release
    - Includes release translation updates
    - upstream bug fix commit to allow setting GNOME Screensaver
      to never
    - Fix for keyboard shortcuts occasionally stop working
      (LP: #1818978) cleanup-keygrab.patch
    - Fix FTBFS due to incorrect Wnck WindowTypes
    - 1000-Obtain-gsettings-transparency-key-value-before-showi.patch
      Refresh to remove patch fuzz
    - Ensure animations remain working with newer versions of mutter
       (LP: #1824102) animations.patch
  * Packaging Changes
    - Signed release tarball; signing key updated for new upstream
      maintainer
    - rules: Minimize polkit crashes due to -O2 build optimization
    - budgie-desktop.gsettings-override remove disabling animation override

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 15 Apr 2019 10:11:06 +0100

=== debian/control ===
Source: budgie-desktop
Section: x11
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://solus-project.com/budgie/
Build-Depends:
 debhelper (>= 11),
 gir1.2-gee-0.8,
 gnome-common,
 gobject-introspection,
 gtk-doc-tools,
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.57),
 libgnome-bluetooth-dev (>= 3.16),
 libgnome-desktop-3-dev,
 libgnome-menu-3-dev,
 libgtk-3-dev,
 libmutter-3-dev (>= 3.30),
 libpeas-dev,
 libpolkit-agent-1-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev,
 libpulse-mainloop-glib0,
 libupower-glib-dev,
 libwnck-3-dev,
 uuid-dev,
 libgdk-pixbuf2.0-dev,
 libaccountsservice-dev,
 valac,
 libibus-1.0-dev (>= 1.5.11),
 meson (>= 0.40.1),
 gnome-settings-daemon-dev (>= 3.28),
 sassc,
 libasound2-dev,
 libnotify-dev
Standards-Version: 4.3.0
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop -b debian

Package: budgie-core
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 gnome-settings-daemon
Description: Core package for Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This is the base package for budgie-desktop.  This package provides:
  GNOME Network Manager autostart file specifically for Budgie
  budgie-desktop plugins
  locales and icons for budgie-desktop
  budgie-desktop executables
  GLib schemas for budgie-desktop
  Session file for budgie-desktop

Package: budgie-core-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-budgie-1.0 (= ${binary:Version}),
 libbudgie-plugin0 (= ${binary:Version}),
 libbudgietheme0 (= ${binary:Version}),
 libraven0 (= ${binary:Version}),
 libbudgie-private0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 libpeas-dev,
 ${misc:Depends}
Suggests: budgie-desktop-doc
Description: Development package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This package provides the development files allowing compilation
 through the budgie-desktop API.  This package provides:
  C Header files
  Vala .vapi files

Package: budgie-desktop
Architecture: all
Depends:
 budgie-core,
 gir1.2-budgie-1.0 (>= 10.4),
 ${misc:Depends},
 gnome-session-bin,
 gnome-session-common,
 gnome-settings-daemon (>=3.26),
 gnome-control-center,
 gnome-menus,
 gnome-screensaver,
 network-manager-gnome
Suggests: lightdm
Description: Desktop package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This package installs the minimal GNOME based package-set together with
 the key budgie-desktop packages to produce a working desktop
 environment.

Package: budgie-desktop-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 devhelp
Description: documentation files for the budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This package contains the API documentation in HTML format

Package: gir1.2-budgie-1.0
Section: introspection
Architecture: any
Replaces: gir1.2-budgie-desktop-1.0 (<< 10.3.2)
Breaks: gir1.2-budgie-desktop-1.0 (<< 10.3.2)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${gir:Depends}
Description: GNOME introspection library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This is the introspection library and allows creating plugins in
 python3, C and Vala

Package: libbudgie-plugin0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Plugin library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This adds the plugin library to budgie-desktop

Package: libbudgietheme0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Theme library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This adds the theme controls for budgie-desktop

Package: libraven0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Raven library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This provides the budgie-desktop user-defined settings called raven.

Package: libbudgie-private0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Budgie Private library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 This provides a private ABI for raven and the budgie panel

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	patch -p1 < debian/ubuntu/show_nm-applet_in_tray.patch
 	touch ./debian/ubuntu/applied
 endif
-	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro -O2" meson -Dwith-desktop-icons=none --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..
+	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro -O1" meson -Dwith-desktop-icons=none --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..
 
 override_dh_auto_build:
 	cd debian/build && $(MAKE)

## budgie-desktop 10.5.1

=== meson_options.txt ===
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
option('with-bluetooth', type: 'boolean', value: true, description: 'Enable gnome-bluetooth support')
option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')
option('with-desktop-icons', type: 'combo', choices: ['nautilus', 'none'], value: 'nautilus', description: 'Desktop icon handling')

=== debian/changelog ===
budgie-desktop (10.5.1-6) experimental; urgency=medium

  * Bug-fix
    update polkitdialog.patch to ensure pkexec based dialogs
    are shown.

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 21 Mar 2020 15:10:15 +0000

budgie-desktop (10.5.1-5) experimental; urgency=medium

  * Bug-fix
    Patch to resolve polkitdialog crashes
    polkitdialog.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 18 Mar 2020 21:58:42 +0000

budgie-desktop (10.5.1-4) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Add support for mutter-6 (Closes: #952639)
  * debian/control: Build-depend on libmutter-6-dev
  * d/p/Mutter-3.35.91-1939.patch,
    d/p/Mutter-3.36-support-1918.patch:
    - Support compiling with mutter-6

  [ David Mohammed ]
  * Use github homepage rather than upstream website
    (Closes: #950477)
  * control: bump Standards-Version; no changes required
  * control: Update description for the budgie-desktop pkg
    (Closes: #950468)
  * Fix crash when adding more than 8 workspaces
    workspace-max.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 09 Mar 2020 19:03:12 +0000

budgie-desktop (10.5.1-3) unstable; urgency=medium

  * Cherry-pick release
    Add support to hide/show network manager applet icon via gsettings
    show-tray-icon.patch
  * Add support for the Debian third-party applet budgie-appmenu-applet
    recalc-panel-box-visibility.patch
  * Update keygrab.patch so that mutter-5 dbus UngrabAccelerators is
    supported - this stops the spamming of journald
  * Update strut-calc.patch with the upstream accepted commit.  This
    resolves messages spamming journald
  * Support left/right panel layouts
    leftright-panel-layouts.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 20 Jan 2020 10:29:42 +0000

budgie-desktop (10.5.1-2) unstable; urgency=medium

  * Bug-fix release
    Handle monitor-monitor window positioning
      strut-calc.patch
    Ensure budgie popovers handle desktop scaling beyond 100%
      popup-scale-factor.patch
    Manage keyboard shortcuts - resolve intermittent loss of shortcuts
    on login
      keygrab.patch
  * Packaging Changes
    control: fix home-page link to point to a valid url
    control: add build-depends on debhelper-compat (= 12)
    compat: remove deprecated file
    upstream/metadata: refresh with new upstream information
    copyright: refresh with upstream contact info
    watch: update with revised github project name
    changelog: fixed typo StandardsVersion --> Standards-Version
    Update libbudgie-private0.symbols with new symbol due to
    strut-calc.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 30 Nov 2019 10:59:21 +0000

budgie-desktop (10.5.1-1) unstable; urgency=medium

  * Official upstream release
    - upstream release announcement in install changelogs
  * Drop all patches except for the following (rebased where necessary)
    1000-Obtain-gsettings-transparency-key-value-before-showi.patch
    desktop-override.patch
    desktop-settings.patch
    pkexec-menu.patch
    wnck-shutdown.patch
    use-builtin-session-manager.patch
  * Packaging Changes
    Control - bump Standards-Version - no changes required
    Update libraven symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 16 Oct 2019 15:07:53 +0100

budgie-desktop (10.5-4) unstable; urgency=high

  [ Willem Mulder ]
  * use gnome-session builtin session manager to stop gnome-shell
    spawning where both gnome-shell and budgie desktop are both installed.
    When this happens, it is impossible to login to budgie desktop
    (Closes: #942077)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 10 Oct 2019 21:16:53 +0100

budgie-desktop (10.5-3) unstable; urgency=medium

  * Upload experimental package to unstable

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 30 Sep 2019 18:59:27 +0100

budgie-desktop (10.5-2) experimental; urgency=medium

  * Release to support GNOME 3.34/3.32
  * Add support for mutter 5
    drop gnome-3.30-compatability.patch
    gnome-3.32-compability.patch
    mutter5-add-build-support.patch
    mutter5-generate-vapi.patch
    mutter5-vapi.patch
  * Add compilation support for vala 0.46
    vala046.patch
  * Remove unneeded gnome-settings-daemon v3.34 components that stops logon
    gsd334.patch
  * Don't force wnck to shutdown - this causes apport crashes since applets
    and other wnck users haven't released memory
    wnck-shutdown.patch
  * Fix spacer sizing
    Use-panel-orientation-for-spacer-sizing.patch
  * Add support for nemo and desktopfolder
    desktop-settings.patch
  * Fix to enable pkexec apps are supported through the menu
    pkexec-menu.patch to
  * Sort menus using linguistic rules
    sort-linguistic.patch
  * Add hinting support for settings
    add-hinting.patch
  * Refresh animations.patch
  * Packaging Changes:
    - Rules: replace manual meson build with debhelper equivalents
    - Control & Compat: Update for debhelper 12
    - Control bump Standards-Version: no changes required
    - Control bump gnome-settings-daemon-dev build version
    - Control move needed runtime dependencies from budgie-desktop to
      budgie-core (Closes: #939358)
    - Rules: Update meson build options
    - Update budgie-core lintian-overrides to be a generic architecture
      rather than specifically amd64

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 14 Sep 2019 20:27:50 +0100

budgie-desktop (10.5~git20190308-0ubuntu1) disco; urgency=medium

  * Bug fix release
    - Fix broken custom keyboard shortcuts
      gnome-3.32-compatibility.patch refreshed with fixes
    - Create mkrelease tarball with latest available translations
    - Fix for keyboard shortcuts occasionally stop working
      (LP: #1818978) cleanup-keygrab.patch
    - Add desktop-override.patch to ensure Budgie overrides do not
      impact other GNOME based desktop settings
    - Fix FTBFS due to incorrect Wnck WindowTypes
    - Refresh 0001-Polkit-Correctly-handle-the-user-dismissing-the-auth.patch


=== debian/control ===
--- 
+++ 
@@ -2,20 +2,27 @@
 Section: x11
 Priority: optional
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
-Homepage: https://solus-project.com/budgie/
+Homepage: https://github.com/solus-project/budgie-desktop
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
+ debhelper-compat (= 12),
  gir1.2-gee-0.8,
  gnome-common,
+ gnome-settings-daemon-dev (>= 3.34),
  gobject-introspection,
  gtk-doc-tools,
+ libaccountsservice-dev,
+ libasound2-dev,
+ libgdk-pixbuf2.0-dev,
  libgee-0.8-dev,
  libglib2.0-dev (>= 2.57),
  libgnome-bluetooth-dev (>= 3.16),
  libgnome-desktop-3-dev,
  libgnome-menu-3-dev,
  libgtk-3-dev,
- libmutter-3-dev (>= 3.30),
+ libibus-1.0-dev (>= 1.5.11),
+ libmutter-6-dev,
+ libnotify-dev,
  libpeas-dev,
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
@@ -23,25 +30,21 @@
  libpulse-mainloop-glib0,
  libupower-glib-dev,
  libwnck-3-dev,
+ meson (>= 0.40.1),
+ sassc,
  uuid-dev,
- libgdk-pixbuf2.0-dev,
- libaccountsservice-dev,
  valac,
- libibus-1.0-dev (>= 1.5.11),
- meson (>= 0.40.1),
- gnome-settings-daemon-dev (>= 3.28),
- sassc,
- libasound2-dev,
- libnotify-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop -b debian
 
 Package: budgie-core
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends},
- gnome-settings-daemon
+Depends: gnome-settings-daemon,
+ gnome-session-bin,
+ gnome-session-common,
+ gnome-screensaver,
+ ${misc:Depends}, ${shlibs:Depends}
 Description: Core package for Budgie-Desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -63,13 +66,13 @@
 Depends:
  gir1.2-budgie-1.0 (= ${binary:Version}),
  libbudgie-plugin0 (= ${binary:Version}),
+ libbudgie-private0 (= ${binary:Version}),
  libbudgietheme0 (= ${binary:Version}),
- libraven0 (= ${binary:Version}),
- libbudgie-private0 (= ${binary:Version}),
  libglib2.0-dev,
  libgtk-3-dev,
  libpeas-dev,
- ${misc:Depends}
+ libraven0 (= ${binary:Version}),
+ ${misc:Depends},
 Suggests: budgie-desktop-doc
 Description: Development package for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
@@ -88,14 +91,10 @@
 Depends:
  budgie-core,
  gir1.2-budgie-1.0 (>= 10.4),
- ${misc:Depends},
- gnome-session-bin,
- gnome-session-common,
- gnome-settings-daemon (>=3.26),
  gnome-control-center,
  gnome-menus,
- gnome-screensaver,
- network-manager-gnome
+ network-manager-gnome,
+ ${misc:Depends},
 Suggests: lightdm
 Description: Desktop package for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
@@ -111,10 +110,8 @@
 Package: budgie-desktop-doc
 Section: doc
 Architecture: all
-Depends:
- ${misc:Depends}
-Suggests:
- devhelp
+Depends: ${misc:Depends}
+Suggests: devhelp
 Description: documentation files for the budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -129,10 +126,7 @@
 Architecture: any
 Replaces: gir1.2-budgie-desktop-1.0 (<< 10.3.2)
 Breaks: gir1.2-budgie-desktop-1.0 (<< 10.3.2)
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: GNOME introspection library for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -146,9 +140,7 @@
 Package: libbudgie-plugin0
 Section: libs
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Plugin library for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -158,12 +150,23 @@
  .
  This adds the plugin library to budgie-desktop
 
+Package: libbudgie-private0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Budgie Private library for budgie-desktop
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This provides a private ABI for raven and the budgie panel
+
 Package: libbudgietheme0
 Section: libs
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Theme library for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -176,9 +179,7 @@
 Package: libraven0
 Section: libs
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Raven library for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -187,18 +188,3 @@
  sub-systems such as GNOME-Session and Mutter.
  .
  This provides the budgie-desktop user-defined settings called raven.
-
-Package: libbudgie-private0
-Section: libs
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
-Description: Budgie Private library for budgie-desktop
- Budgie-Desktop is a GTK+ based desktop environment which focuses on
- simplicity and elegance.  It provides a traditional desktop metaphor
- based interface utilising customisable panel based menu driven system.
- Budgie-Desktop is written from scratch utilising many GNOME based
- sub-systems such as GNOME-Session and Mutter.
- .
- This provides a private ABI for raven and the budgie panel

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_clean:
	dh_clean
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)

	@if [ -e ./debian/ubuntu/applied ]; then \
		patch -R -p1 < debian/ubuntu/show_nm-applet_in_tray.patch ; \
		rm ./debian/ubuntu/applied ; \
	fi
endif

override_dh_auto_configure:
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	patch -p1 < debian/ubuntu/show_nm-applet_in_tray.patch
	touch ./debian/ubuntu/applied
endif
	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib

override_dh_auto_install:
	dh_auto_install
	mkdir -p "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/Budgie-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"

override_dh_installgsettings:
	# install override but budgie has to take precedence over
	# gnome-shell defaults
	dh_installgsettings --priority=15

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog-announcement.txt

=== debian/tests/control ===
Tests: desktopname

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/solus-project/budgie-desktop/releases .*/budgie-desktop-([0-9.]+)\.tar\.xz

## budgie-desktop 10.5.1+git20200824

=== meson_options.txt ===
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')
option('with-desktop-icons', type: 'combo', choices: ['nautilus', 'none'], value: 'nautilus', description: 'Desktop icon handling')

=== debian/changelog ===
budgie-desktop (10.5.1+git20200824-2.0ubuntu1) groovy; urgency=medium

  * Bug-fix
    Restore budgie window minimize and unminimize animation
    windowanimation.patch (LP: #1900354)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 18 Oct 2020 22:11:50 +0100

budgie-desktop (10.5.1+git20200824-2) unstable; urgency=medium

  * No change upload to unstable (Closes: #971038)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 26 Sep 2020 18:32:17 +0100

budgie-desktop (10.5.1+git20200824-1) experimental; urgency=medium

  * Git build 20200824
    - mutter-7 build capability
    - Translations includes upstream translations up-to 20200827
  * Packaging Changes
    - drop mutter-7 patch since included in Git build
    - control: build against mutter-7
    - control: bump debhelper version

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 09 Sep 2020 18:40:11 +0100

budgie-desktop (10.5.1+git20200715-2) unstable; urgency=medium

  * Revise show-tray-icon.patch to use an alternate ID to prevent
    a clash with the system tray schema

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 18 Aug 2020 18:02:40 +0100

budgie-desktop (10.5.1+git20200715-1) unstable; urgency=medium

  * Git build 20200715
    - Variety of bug-fixes including
      resolve system tray icon corruption
      display chromium notifications with their icons
      option to display windows from all workspaces in tab-switcher
      show non xkb layouts in keyboard applet
      respect animations flag for background transitions
      resolve occasional panel crash when removing applets
      make screenshot commands configurable via gsettings
      fix display of spotify artwork in raven
  * Refresh show-tray-icon.patch but use new name for schema
  * Add mutter7.patch ready for GNOME 3.38 (mutter7) switch
  * hide-default-theme.patch hide Debian specific "Default" theme
    label
  * Drop the following patches since incorporated in the git build
    - keygrab.patch
    - leftright-panel-layouts.patch
    - Mutter-3.35.90-support-1918.patch
    - Mutter-3.35.91-1939.patch
    - pkexec-menu.patch
    - polkitdialog.patch
    - popup-scale-factor.patch
    - strut-calc.patch
    - use-builtin-session-manager.patch
    - wnck-shutdown.patch
    - workspace-max.patch
  * Refresh debian/copyight for the git build source
  * All patches now included Forwarded in their dep-3 header

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 17 Aug 2020 20:04:17 +0100

budgie-desktop (10.5.1-8) unstable; urgency=medium

  * Fix FTBFS (Closes: #963366)
    - debian budgie-desktop-settings.1 corrected
      the invalid section
    - debian budgie-panel.1 resolved lintian for
      section description

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 21 Jun 2020 22:47:18 +0100

budgie-desktop (10.5.1-7) unstable; urgency=medium

  * Upload experimental package to unstable

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 11 Apr 2020 15:46:35 +0100

## budgie-desktop 10.5.2

=== meson_options.txt ===
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')
option('xdg-appdir', type: 'string', description: 'XDG autostart path')

=== debian/changelog ===
budgie-desktop (10.5.2-4) unstable; urgency=medium

  * Bug-fixes
    - Ensure gir package does not have an empty Depends (Closes: #991079)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 13 Jul 2021 19:24:58 +0100

budgie-desktop (10.5.2-3) unstable; urgency=medium

  * Bug-fixes
    - Panel crashes when using wine-based apps with icon-applet
      keepass_segfaults.patch
      sync_x_errors_carbon.patch
    - Do not show budgie-desktop-settings in docks like plank
      bde_icon_handling.patch
    - Show/Mute icon in panel when user uses keyboard media keys
      mute_unmute.patch
    - All budgie-desktop-settings to be pinned/unpinned in icon applet
      bde_pinned.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Jan 2021 11:48:18 +0000

budgie-desktop (10.5.2-2) unstable; urgency=medium

  * Packaging Changes
    - Add recommendation for budgie-desktop-view together with
      a gsettings-override to enable desktop-icons support in
      budgie-desktop-settings
    - Update Suggests to include minimal suggestions to get a workable
      basic desktop if these suggestions are installed

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 13 Dec 2020 22:02:35 +0000

budgie-desktop (10.5.2-1) unstable; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * Packaging Changes
    - control: Bump StandardsVersion
    - control: Update build dependency version numbers as per upstream
      recommendations
    - drop desktop-settings.patch since new release has support for
      budgie-desktop-view/desktopfolder/nemo
    - drop recalc-panel-box-visibility.patch since new release has fixed
      this issue
    - drop windowanimation.patch since upstreamed into new release
    - drop 1000-Obtain-gsettings-transparency-key-value-before-showi.patch
      since upstreamed into new release
    - refresh hide_default_theme.patch
    - copyright bump copyright year to match revised sourcess
    - update libraven0.symbols
    - update libbudgie-plugin0.symbols
    - update watch file for revised upstream version naming

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Dec 2020 19:45:59 +0000

budgie-desktop (10.5.1+git20200824-4) unstable; urgency=medium

  * Bug fix
    Restore budgie window minimize and unminimize animation
    windowanimation.patch (LP: #1900354)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 18 Oct 2020 22:28:00 +0100

budgie-desktop (10.5.1+git20200824-3) unstable; urgency=medium

  * debian/tests add superficial as a restriction since the test
    only covers a limited build artifact (Closes: #971453)

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 30 Sep 2020 22:12:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,37 +4,37 @@
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
 Homepage: https://github.com/solus-project/budgie-desktop
 Build-Depends:
- debhelper (>= 12),
- debhelper-compat (= 12),
+ debhelper (>= 13),
+ debhelper-compat (= 13),
  gir1.2-gee-0.8,
  gnome-common,
- gnome-settings-daemon-dev (>= 3.34),
+ gnome-settings-daemon-dev (>= 3.36.0),
  gobject-introspection,
  gtk-doc-tools,
- libaccountsservice-dev,
+ libaccountsservice-dev (>= 0.6.55),
  libasound2-dev,
  libgdk-pixbuf2.0-dev,
  libgee-0.8-dev,
- libglib2.0-dev (>= 2.57),
+ libglib2.0-dev (>= 2.64.0),
  libgnome-bluetooth-dev (>= 3.16),
- libgnome-desktop-3-dev,
+ libgnome-desktop-3-dev (>= 3.36.0),
  libgnome-menu-3-dev,
- libgtk-3-dev,
- libibus-1.0-dev (>= 1.5.11),
- libmutter-6-dev,
- libnotify-dev,
+ libgtk-3-dev (>= 3.24.0),
+ libibus-1.0-dev (>= 1.5.10),
+ libmutter-7-dev,
+ libnotify-dev (>= 0.7),
  libpeas-dev,
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
  libpulse-dev,
  libpulse-mainloop-glib0,
  libupower-glib-dev,
- libwnck-3-dev,
- meson (>= 0.40.1),
+ libwnck-3-dev (>= 3.36.0),
+ meson (>= 0.48.0),
  sassc,
  uuid-dev,
- valac,
-Standards-Version: 4.5.0
+ valac (>= 0.48.0),
+Standards-Version: 4.5.1
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop -b debian
 
@@ -90,12 +90,14 @@
 Architecture: all
 Depends:
  budgie-core,
- gir1.2-budgie-1.0 (>= 10.4),
+ gir1.2-budgie-1.0 (>= 10.5),
  gnome-control-center,
  gnome-menus,
  network-manager-gnome,
  ${misc:Depends},
-Suggests: lightdm
+Recommends:
+ budgie-desktop-view
+Suggests: slick-greeter, nautilus, gnome-terminal
 Description: Desktop package for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
-	dh $@
+	dh $@ --with gir
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/solus-project/budgie-desktop/releases .*/budgie-desktop-v([0-9.]+)\.tar\.xz

## budgie-desktop 10.5.3

=== debian/changelog ===
budgie-desktop (10.5.3-0ubuntu2) impish; urgency=medium

  * Bug-fixes
    - Ensure gir package does not have an empty Depends (Closes: #991079) 

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 13 Jul 2021 20:44:35 +0100

budgie-desktop (10.5.3-0ubuntu1) impish; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * Packaging Changes
    - Force resync with Debian Unstable
    - drop all patches except
      desktopfolder_exename.patch
      show-tray-icon.patch
    - control: add Rules-Requires-Root: no
    - Update libraven0.symbols
    - Remove lock-keys lintian-override for budgie-core since no longer
      highlighted as a false positive by lintian
    - Copyright: Remove copyright for a now removed file
      Update copyright year
      Add copyright statement for newly shipped default.jpg wallpaper
    - bump mutter to v8
    - Rules/Control: Add vendor override for Ubuntu/Debian Recommends
      and Suggests (budgie-desktop package)
      Add gschema vendor overrides for Ubuntu/Debian to reflect
      desktop-icons default
    - Rework locking to check if previously failed
      Switch to using gnome-screensaver
      0001-Switch-back-to-using-gnome-screensaver.patch
    - ensure ibus shows suggestions for non xkb layouts
      (LP: #1920639)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 13 Jun 2021 10:10:09 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libgnome-menu-3-dev,
  libgtk-3-dev (>= 3.24.0),
  libibus-1.0-dev (>= 1.5.10),
- libmutter-7-dev,
+ libmutter-8-dev,
  libnotify-dev (>= 0.7),
  libpeas-dev,
  libpolkit-agent-1-dev,
@@ -29,14 +29,15 @@
  libpulse-dev,
  libpulse-mainloop-glib0,
  libupower-glib-dev,
- libwnck-3-dev (>= 3.36.0),
+ libwnck-3-dev,
  meson (>= 0.48.0),
  sassc,
  uuid-dev,
- valac (>= 0.48.0),
+ valac (>= 0.48.0)
 Standards-Version: 4.5.1
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop -b debian
+Rules-Requires-Root: no
 
 Package: budgie-core
 Architecture: any
@@ -90,14 +91,12 @@
 Architecture: all
 Depends:
  budgie-core,
- gir1.2-budgie-1.0 (>= 10.5),
  gnome-control-center,
  gnome-menus,
  network-manager-gnome,
- ${misc:Depends},
-Recommends:
- budgie-desktop-view
-Suggests: slick-greeter, nautilus, gnome-terminal
+ ${misc:Depends}
+Recommends: gir1.2-budgie-1.0 (>= 10.5), ${dist:Recommends}
+Suggests: slick-greeter, ${dist:Suggests}
 Description: Desktop package for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,14 @@
 export DH_VERBOSE = 1
 export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	SUBSTVARSREC = -Vdist:Recommends="nemo-desktop"
+	SUBSTVARSSUG = -Vdist:Suggests="budgie-desktop-view"
+else
+	SUBSTVARSREC = -Vdist:Recommends="budgie-desktop-view"
+	SUBSTVARSSUG = -Vdist:Suggests="gnome-terminal, nautilus"
+endif
 
 %:
 	dh $@ --with gir
@@ -23,16 +31,20 @@
 endif
 	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib
 
+override_dh_gencontrol:
+	dh_gencontrol -- $(SUBSTVARSREC) $(SUBSTVARSSUG)
+
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
 	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/Budgie-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
 	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"
-
-override_dh_installgsettings:
-	# install override but budgie has to take precedence over
-	# gnome-shell defaults
-	dh_installgsettings --priority=15
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
+	dh_install -pbudgie-desktop debian/15_budgie-desktop-ubuntu.gschema.override /usr/share/glib-2.0/schemas/
+endif
+ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
+	dh_install -pbudgie-desktop debian/15_budgie-desktop-debian.gschema.override /usr/share/glib-2.0/schemas/
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog-announcement.txt
